Package edu.msu.cme.rdp.classifier.utils

# Class ClassifierFactory

java.lang.Object
edu.msu.cme.rdp.classifier.utils.ClassifierFactory

public class ClassifierFactory extends Object
A factory to create a classifier with the training information defined by the property file.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`FUNGALITS_unite_GENE`
`static final String`
`FUNGALITS_warcup_GENE`
`static final String`
`FUNGALLSU_GENE`
`static final String`
`RRNA_16S_GENE`

## Method Summary

Modifier and Type
Method
Description
`Classifier`
`createClassifier()`
Creates a new classifier.
`String`
`getClassifierVersion()`
Returns the version of the classifier.
`static ClassifierFactory`
`getFactory(String gene)`
Returns a factory with the training information.
`HierarchyVersion`
`getHierarchyTrainsetNo()`
Returns the info of the taxonomy hierarchy from of the training file.
`String`
`getHierarchyVersion()`
Returns the version of the taxonomical hierarchy.
`HierarchyTree`
`getRoot()`
`String`
`getTrainRank()`
`static void`
`resetDefaultDataProp()`
Resets the data property file to the default data property file.
`static void`
`setDataProp(String properties, boolean relative)`
Sets the property file which contains the mapping of the training files.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### RRNA_16S_GENE

public static final String RRNA_16S_GENE

See Also:
  - Constant Field Values

### FUNGALLSU_GENE

public static final String FUNGALLSU_GENE

See Also:
  - Constant Field Values

### FUNGALITS_warcup_GENE

public static final String FUNGALITS_warcup_GENE

See Also:
  - Constant Field Values

### FUNGALITS_unite_GENE

public static final String FUNGALITS_unite_GENE

See Also:
  - Constant Field Values

## Method Details

### resetDefaultDataProp

public static void resetDefaultDataProp()
Resets the data property file to the default data property file.

### setDataProp

public static void setDataProp(String properties, boolean relative)
Sets the property file which contains the mapping of the training files. The actually training data files should be in the same directory as this property file. To override the default property location, this method must be called before the first ClassifierFactory.getFactory() call.

### getFactory

public static ClassifierFactory getFactory(String gene) throws IOException, TrainingDataException
Returns a factory with the training information. This method initialize all the training information. Note: the ClassifierFactory.setDataProp() static method must be called before this method if default property file will not be used.

Throws:
  `IOException`
  `TrainingDataException`

### createClassifier

public Classifier createClassifier()
Creates a new classifier.

### getHierarchyVersion

public String getHierarchyVersion()
Returns the version of the taxonomical hierarchy.

### getHierarchyTrainsetNo

public HierarchyVersion getHierarchyTrainsetNo()
Returns the info of the taxonomy hierarchy from of the training file.

### getClassifierVersion

public String getClassifierVersion()
Returns the version of the classifier.

### getRoot

public HierarchyTree getRoot()

### getTrainRank

public String getTrainRank()